Logging in with Google+ 400 error

I have used the appointment+ plugin on http://atlasginvestments.com/make-an-appointment
I set up Login with Google+ button and also WP buttons on the page.
When you click the Google+ button, this error comes up,
400. That’s an error.
OpenID auth request contains an unregistered domain: http://atlasginvestments.com
Learn more - this takes you to https://developers.google.com/accounts/docs/OpenID which basically says Google is not using deprecated OpenID 2.0.

That’s all we know.

https://developers.google.com/accounts/docs/OpenID
I've updated the plugin today thinking you all may have a solution, but I still am getting the error.
Suggestions?
Teresa